const { ethers } = require('hardhat');

const deployDAO = async () => {
  const Reputation = await ethers.getContractFactory('Reputation');
  const Bench = await ethers.getContractFactory('Bench');
  const LightweightBench = await ethers.getContractFactory('LightweightBench');
  const DAO = await ethers.getContractFactory('DAO');
  const GlobalForum = await ethers.getContractFactory('GlobalForum');
  const forum = await GlobalForum.deploy();
  const reputation = await Reputation.deploy();
  const bench = await Bench.deploy();
  const lightweightBench = await LightweightBench.deploy();
  const dao = await DAO.deploy(
    reputation.target,
    bench.target,
    lightweightBench.target,
    forum.target,
  );
  return {
    forum,
    dao,
    reputation,
    bench,
  };
};

module.exports = deployDAO;
